--- quota-fs.c.PATCHED1	Thu Aug  2 17:16:23 2007
+++ quota-fs.c	Thu Aug  2 17:29:11 2007
@@ -249,14 +249,14 @@
 
 	switch (result.status) {
 	case Q_OK: {
-		/* convert the results from blocks to bytes */
+		/* convert the results from blocks to kilobytes */
 		rquota *rq = &result.getquota_rslt_u.gqr_rquota;
 
 		if (rq->rq_active) {
 			*value_r = (uint64_t)rq->rq_curblocks *
-				(uint64_t)rq->rq_bsize;
+				(uint64_t)rq->rq_bsize / 1024;
 			*limit_r = (uint64_t)rq->rq_bsoftlimit *
-				(uint64_t)rq->rq_bsize;
+				(uint64_t)rq->rq_bsize / 1024;
 		}
 		if (getenv("DEBUG") != NULL) {
 			i_info("quota-fs: uid=%s, value=%llu, "
